package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.supplier.GetSupplierPriceByProductIdsDto;
import com.fjhx.entity.supplier.SupplierPrice;
import com.fjhx.params.supplier.SupplierPriceVo;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商价格 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-25
 */
public interface SupplierPriceService extends BaseService<SupplierPrice> {

    Page<Map<String, Object>> getPage(Map<String, Object> condition);

    void add(SupplierPriceVo supplierPriceVo);

    void edit(SupplierPriceVo supplierPriceVo);

    void delete(SupplierPriceVo supplierPriceVo);

    List<SupplierPrice> getList(Map<String, Object> condition);

    Map<Long, BigDecimal> getSupplierPriceByProductIds(GetSupplierPriceByProductIdsDto dto);

}
